What are the requirements for Sprout Invoices?

Other than a site running the latest version of WordPress your browser will need to have javascript enabled to use most of the app.